import {fromPairs, map,replace} from "lodash";
import path from "path";
const r = require.context("./assets", true, /^\.\/[^\.].+/);
const rKeys = r.keys();

const relativize = (file) => replace(file, /^\.\//, "");

console.debug("Asset keys", rKeys, map(rKeys, relativize));

module.exports = fromPairs(
  map(
    rKeys,
    key => [relativize(key), r(key)]
  )
);
