import Promise from "bluebird";
import { noop } from "lodash";

module.exports = app =>
  app.ports.reportError.subscribe(msg => { // TODO Add "title"
    try {
      console.warn(msg);
      window.navigator.notification.alert(msg, noop, "Error", "Continue");
    }catch(e) {
      console.error("Error while writing error message", msg, e);
    }
  })
