const initStart = Date.now();

module.exports = app =>
  app.ports.initialized.subscribe(() => {
    try {
      if(GOOGLE_TRACKING_ID) {
        window.ga.trackTiming("initialized", Date.now() - initStart, "load", "after splash");
        console.info("Logged initialization to GA");
      }
    }catch(e) {
      console.error("Error while writing initialization", e);
    }
  })
