import Promise from "bluebird";

let username = null;

module.exports = app => {
  app.ports.publishUserName.subscribe(user => {
    try {
      if(GOOGLE_TRACKING_ID && username != user) {
        window.ga.setUserId(user);
        username = user;
      }
    } catch(e) {
      console.error("Error setting the user id onto Google Analytics", user, e);
    }
  });
};
