port module Log exposing (warning, error, info, debug, warn)


log : String -> String -> a -> Cmd msg
log lvl msg value =
    doLog ( lvl, msg, toString value )


port doLog : ( String, String, String ) -> Cmd msg


debugLvl : String
debugLvl =
    "debug"


infoLvl : String
infoLvl =
    "info"


warningLvl : String
warningLvl =
    "warn"


errorLvl : String
errorLvl =
    "error"


debug : String -> a -> Cmd msg
debug =
    log debugLvl


info : String -> a -> Cmd msg
info =
    log infoLvl


warning : String -> a -> Cmd msg
warning =
    log warningLvl


warn : String -> a -> Cmd msg
warn =
    log warningLvl


error : String -> a -> Cmd msg
error =
    log errorLvl
